local me = {}

function me:init(config)
  me.triggers = utilities.triggers(self.info.username, config.cmd_pat):t('me', true).table
  me.doc = '\n*/me* _<Text>_'
end

me.command = 'me'

function me:action(msg, config)
  local input = utilities.input_from_msg(msg)
  if not input then
	return
  end
  
  utilities.send_message(msg.chat.id, msg.from.first_name..' '..input) 
end

return me
